/*
    * Provides post summaries to all pages. That means every page can access summaries
    * for all posts on the website.
*/

import { type Post, posts } from './posts/posts_data';

export function load() {
    let summaries : Post[] = [];

    // Sort by newest news first
    posts.sort((a, b) => b.creation_date - a.creation_date);

    posts.map((post) => {
        let summary : Post = {
            url: post.url,
            title : post.title,
            summary : post.summary,
            creation_date : post.creation_date,
            modification_date : post.modification_date
        };
        summaries.push(summary);
    });

    return { summaries };
}
